Create a transaction report
curl --request POST \
--url https://checkout.kalixo.io/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({period_start: '2023-11-07T05:31:56Z', period_end: '2023-11-07T05:31:56Z'})
};
fetch('https://checkout.kalixo.io/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/reports"
payload = {
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period_start' => '2023-11-07T05:31:56Z',
'period_end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "rex_01JABCDEF",
"object": "report_export",
"type": "financial_transactions",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"row_count": 123,
"failure_reason": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Reports
Create a transaction report
Starts an asynchronous CSV export of financial transactions, payments,
refunds or disputes for a period. Partners use the financial_transactions
report as the basis for invoicing their share to Kalixo.
POST
/
v1
/
reports
Create a transaction report
curl --request POST \
--url https://checkout.kalixo.io/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({period_start: '2023-11-07T05:31:56Z', period_end: '2023-11-07T05:31:56Z'})
};
fetch('https://checkout.kalixo.io/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/reports"
payload = {
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period_start' => '2023-11-07T05:31:56Z',
'period_end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "rex_01JABCDEF",
"object": "report_export",
"type": "financial_transactions",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"row_count": 123,
"failure_reason": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Authorizations
Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.
Headers
Unique key per logical request, reused on retries. 1 to 255 characters.
Required string length:
1 - 255Body
application/json
Response
Report export started.
Example:
"rex_01JABCDEF"
Allowed value:
"report_export"Available options:
financial_transactions, payments, refunds, disputes Available options:
pending, ready, failed